/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.kyuubi.operation

import org.apache.kyuubi.WithKyuubiServer
import org.apache.kyuubi.config.KyuubiConf
import org.apache.kyuubi.ha.HighAvailabilityConf

class KyuubiJdbcDriverHASuite extends WithKyuubiServer with SparkMetadataTests {

  override protected val conf: KyuubiConf = KyuubiConf()

  override protected def jdbcUrl: String = {
    val quorum = conf.get(HighAvailabilityConf.HA_ADDRESSES)
    val ns = conf.get(HighAvailabilityConf.HA_NAMESPACE)
    s"jdbc:hive2://$quorum/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=$ns"
  }
}
